clear
capture log close
set more off

***indicar directorio de trabajo******
*cd F:\DATA\*
****indicar archivo donde van los resultados***
log using 1.log, replace
***indicar archivo donde coge los datos***
use Sample_developed_countries.dta, clear

****for this estimation we have used Stata(version 12) and the xtabond2 compatible with this version******************************************************************

tsset Codigo year

drop yr2007a
drop a_Country_dummy15


xtabond2 var_ln_loans L1_var_ln_loans var_ln_GDP_curr var_Monetary_Policy CDS precrisis_a crisis_a postcrisis_a var_MP_CDS_precrisis var_MP_CDS_crisis var_MP_CDS_postcrisis var_MP_CDS_EZ L1_size_n L1_size_n_var_MP L1_liq_n L1_liq_n_var_MP L1_cap_n L1_cap_n_var_MP  yr*a a_Country_dummy*, gmm(L1_var_ln_loans, lag(4 4) equation(level) collapse) gmm(L1_size_n, lag(2 2) equation(level) collapse) gmm(L1_size_n_var_MP, lag(2 2) equation(level) collapse)  gmm(L1_liq_n, lag(2 2) equation(level) collapse) gmm(L1_liq_n_var_MP, lag(2 2) equation(level) collapse) gmm(L1_cap_n, lag(2 2) equation(level) collapse) gmm(L1_cap_n_var_MP, lag(2 2) equation(level) collapse) gmm(L1_var_ln_loans, lag(2 2) equation(diff) collapse) gmm(L1_size_n, lag(2 2) equation(diff) collapse) gmm(L1_size_n_var_MP, lag(2 2) equation(diff) collapse) gmm(L1_liq_n, lag(2 2) equation(diff) collapse) gmm(L1_liq_n_var_MP, lag(2 2) equation(diff) collapse) gmm(L1_cap_n, lag(2 2) equation(diff) collapse) gmm(L1_cap_n_var_MP, lag(2 2) equation(diff) collapse) gmm(var_Monetary_Policy, lag(2 2) equation(level) collapse) gmm(var_Monetary_Policy, lag(3 4) equation(diff) collapse) gmm(CDS, lag(2 2) equation(level) collapse) gmm(CDS, lag(2 2) equation(diff) collapse) iv (precrisis_a) iv (crisis_a) iv (postcrisis_a)  gmm(var_MP_CDS_precrisis, lag (2 2) equation(level) collapse) gmm(var_MP_CDS_precrisis, lag (4 4) equation(diff) collapse) gmm(var_MP_CDS_crisis, lag (2 2) equation(level) collapse) gmm(var_MP_CDS_crisis, lag (2 2) equation(diff) collapse) gmm(var_MP_CDS_postcrisis, lag (2 2) equation(level) collapse) gmm(var_MP_CDS_postcrisis, lag (2 2) equation(diff) collapse) gmm(var_MP_CDS_EZ, lag (2 2) equation(level) collapse) gmm(var_MP_CDS_EZ, lag (3 3) equation(diff) collapse) gmm(var_ln_GDP_curr, lag (2 2) equation(level) collapse) gmm(var_ln_GDP_curr, lag (2 2) equation(diff) collapse) iv(yr*a) iv (a_Country_dummy*) twostep robust artest (2)  



********************indicar archivo donde guarda los datos**********************
save 2-Sample_developed_countries.dta, replace
log close
